Subject: Re: Edit log message after commit

From: Brian Gerst <[email-masked]>
Date: Thu, 29 Sep 2005 00:58:01 -0400

Kevin Leung wrote:
> Hi,
> 
> Is there any method to edit the log message after committed? I couldn't 
> find any information in Documentation and in git mailing list.

The commit must be at the head, or else you can't change it without 
breaking the chain of following commits.  If you are using Cogito, use 
cg-admin-uncommit and then re-commit it.  Otherwise, create a new commit 
object for the same tree and parent(s) as the old commit, with the new 
message.  The new commit object is your new head.

--
				Brian Gerst